import { Injectable } from '@angular/core';


/**
 * FORM部件模型
 * 
 * @export
 * @class MainEditFormMode
 */
@Injectable({ providedIn: 'root' })
export class MainEditFormMode {

    /**
     * 构造方法
     * @memberof MainEditFormMode
     */
    constructor() {
        
    }


	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainEditFormMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'srfupdatedate',
				prop: 'updatedate',
				dataType: 'DATETIME',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'srforikey',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'srfkey',
				prop: 'bxdid',
				dataType: 'GUID',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'srfmajortext',
				prop: 'bxdname',
				dataType: 'TEXT',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'srftempmode',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'srfuf',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'srfdeid',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'srfsourcekey',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'bxdname',
				prop: 'bxdname',
				dataType: 'TEXT',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'createman',
				prop: 'createman',
				dataType: 'TEXT',
                createdv: '',
                updatedv: '',
				codeListId: 'SysOperator',
			},
			{
				name: 'createdate',
				prop: 'createdate',
				dataType: 'DATETIME',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'updateman',
				prop: 'updateman',
				dataType: 'TEXT',
                createdv: '',
                updatedv: '',
				codeListId: 'SysOperator',
			},
			{
				name: 'updatedate',
				prop: 'updatedate',
				dataType: 'DATETIME',
                createdv: '',
                updatedv: '',
			},
			{
				name: 'bxdid',
				prop: 'bxdid',
				dataType: 'GUID',
                createdv: '',
                updatedv: '',
			},
		]
	}

}

